Changeset 2662


Ignore:
Timestamp:
Dec 1, 2012 1:38:37 PM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/trunk/configure

    r2625 r2662  
    10941094                          icl/link). Default when mentioned: mingw. Default
    10951095                          when not mentioned: disabled.
     1096  --enable-static-standardlibs
     1097                          whether to link against static standard libraries
     1098                          (libgcc, libgfortran, libstdc++)
    10961099  --disable-pkg-config    disable use of pkg-config (if available)
    10971100  --enable-static[=PKGS]
     
    19531956
    19541957
     1958# check whether to add flags for static linking against standard libraries
     1959# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1960if test "${enable_static_standardlibs+set}" = set; then
     1961  enableval="$enable_static_standardlibs"
     1962  case "$enableval" in
     1963     no | yes | auto ) ;;
     1964     *)
     1965       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1966echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1967   { (exit 1); exit 1; }; } ;;
     1968   esac
     1969   use_static_standardlibs=$enableval
     1970else
     1971  if test $enable_shared = yes ; then
     1972     use_static_standardlibs = no
     1973   else
     1974     use_static_standardlibs = auto
     1975   fi
     1976
     1977
     1978fi;
     1979
     1980
     1981
     1982
     1983
    19551984
    19561985ac_ext=c
     
    30763105    CFLAGS="$OPT_CFLAGS"
    30773106  fi
     3107
    30783108else
    30793109  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32443274esac
    32453275
     3276# check whether to add flags for static linking against standard libraries to LDFLAGS
     3277if test x$use_static_standardlibs != xno ; then
     3278  case $build in
     3279    *-mingw*)
     3280      static_standardlib_flag=-static
     3281      ;;
     3282    *)
     3283      static_standardlib_flag=-static-libgcc
     3284      ;;
     3285  esac
     3286  case " $LDFLAGS " in
     3287    *" $static_standardlib_flag "* ) ;;
     3288    *)
     3289    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3290echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3291    coin_save_LDFLAGS="$LDFLAGS"
     3292    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3293    cat >conftest.$ac_ext <<_ACEOF
     3294/* confdefs.h.  */
     3295_ACEOF
     3296cat confdefs.h >>conftest.$ac_ext
     3297cat >>conftest.$ac_ext <<_ACEOF
     3298/* end confdefs.h.  */
     3299
     3300int
     3301main ()
     3302{
     3303int i=0;
     3304  ;
     3305  return 0;
     3306}
     3307_ACEOF
     3308rm -f conftest.$ac_objext conftest$ac_exeext
     3309if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3310  (eval $ac_link) 2>conftest.er1
     3311  ac_status=$?
     3312  grep -v '^ *+' conftest.er1 >conftest.err
     3313  rm -f conftest.er1
     3314  cat conftest.err >&5
     3315  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3316  (exit $ac_status); } &&
     3317         { ac_try='test -z "$ac_c_werror_flag"
     3318                         || test ! -s conftest.err'
     3319  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3320  (eval $ac_try) 2>&5
     3321  ac_status=$?
     3322  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3323  (exit $ac_status); }; } &&
     3324         { ac_try='test -s conftest$ac_exeext'
     3325  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3326  (eval $ac_try) 2>&5
     3327  ac_status=$?
     3328  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3329  (exit $ac_status); }; }; then
     3330  echo "$as_me:$LINENO: result: yes" >&5
     3331echo "${ECHO_T}yes" >&6
     3332else
     3333  echo "$as_me: failed program was:" >&5
     3334sed 's/^/| /' conftest.$ac_ext >&5
     3335
     3336echo "$as_me:$LINENO: result: no" >&5
     3337echo "${ECHO_T}no" >&6
     3338       LDFLAGS="$coin_save_LDFLAGS"
     3339       if test $use_static_standardlibs = yes ; then
     3340         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3341echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3342   { (exit 1); exit 1; }; }
     3343       fi
     3344
     3345fi
     3346rm -f conftest.err conftest.$ac_objext \
     3347      conftest$ac_exeext conftest.$ac_ext
     3348    ;;
     3349  esac
     3350fi
     3351
    32463352ac_ext=c
    32473353ac_cpp='$CPP $CPPFLAGS'
     
    32723378
    32733379
     3380
    32743381ac_ext=f
    32753382ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    34813588
    34823589# Provide some information about the compiler.
    3483 echo "$as_me:3483:" \
     3590echo "$as_me:3590:" \
    34843591     "checking for Fortran 77 compiler version" >&5
    34853592ac_compiler=`set X $ac_compile; echo $2`
     
    38483955    FFLAGS="$OPT_FFLAGS"
    38493956  fi
     3957
    38503958else
    38513959  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39894097    ;;
    39904098esac
     4099
     4100# check whether to add flag for static linking against standard libraries to LDFLAGS
     4101if test x$use_static_standardlibs != xno ; then
     4102  case $build in
     4103    *-mingw*)
     4104      static_standardlib_flag=-static
     4105      ;;
     4106    *)
     4107      static_standardlib_flag=-static-libgfortran
     4108      ;;
     4109  esac
     4110  case " $LDFLAGS " in
     4111    *" $static_standardlib_flag "* ) ;;
     4112    *)
     4113    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4114echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4115    coin_save_LDFLAGS="$LDFLAGS"
     4116    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4117    cat >conftest.$ac_ext <<_ACEOF
     4118      program main
     4119      integer i
     4120      end
     4121_ACEOF
     4122rm -f conftest.$ac_objext conftest$ac_exeext
     4123if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4124  (eval $ac_link) 2>conftest.er1
     4125  ac_status=$?
     4126  grep -v '^ *+' conftest.er1 >conftest.err
     4127  rm -f conftest.er1
     4128  cat conftest.err >&5
     4129  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4130  (exit $ac_status); } &&
     4131         { ac_try='test -z "$ac_f77_werror_flag"
     4132                         || test ! -s conftest.err'
     4133  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4134  (eval $ac_try) 2>&5
     4135  ac_status=$?
     4136  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4137  (exit $ac_status); }; } &&
     4138         { ac_try='test -s conftest$ac_exeext'
     4139  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4140  (eval $ac_try) 2>&5
     4141  ac_status=$?
     4142  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4143  (exit $ac_status); }; }; then
     4144  echo "$as_me:$LINENO: result: yes" >&5
     4145echo "${ECHO_T}yes" >&6
     4146else
     4147  echo "$as_me: failed program was:" >&5
     4148sed 's/^/| /' conftest.$ac_ext >&5
     4149
     4150echo "$as_me:$LINENO: result: no" >&5
     4151echo "${ECHO_T}no" >&6
     4152       LDFLAGS="$coin_save_LDFLAGS"
     4153       if test $use_static_standardlibs = yes ; then
     4154         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4155echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4156   { (exit 1); exit 1; }; }
     4157       fi
     4158
     4159fi
     4160rm -f conftest.err conftest.$ac_objext \
     4161      conftest$ac_exeext conftest.$ac_ext
     4162    ;;
     4163  esac
     4164fi
    39914165
    39924166ac_ext=c
     
    42544428ac_save_FFLAGS=$FFLAGS
    42554429FFLAGS="$FFLAGS $ac_verb"
    4256 (eval echo $as_me:4256: \"$ac_link\") >&5
     4430(eval echo $as_me:4430: \"$ac_link\") >&5
    42574431ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42584432echo "$ac_f77_v_output" >&5
     
    43324506ac_save_FFLAGS=$FFLAGS
    43334507FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4334 (eval echo $as_me:4334: \"$ac_link\") >&5
     4508(eval echo $as_me:4508: \"$ac_link\") >&5
    43354509ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    43364510echo "$ac_f77_v_output" >&5
     
    52105384
    52115385# Provide some information about the compiler.
    5212 echo "$as_me:5212:" \
     5386echo "$as_me:5386:" \
    52135387     "checking for Fortran compiler version" >&5
    52145388ac_compiler=`set X $ac_compile; echo $2`
     
    69827156*-*-irix6*)
    69837157  # Find out which ABI we are using.
    6984   echo '#line 6984 "configure"' > conftest.$ac_ext
     7158  echo '#line 7158 "configure"' > conftest.$ac_ext
    69857159  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    69867160  (eval $ac_compile) 2>&5
     
    94599633   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94609634   -e 's:$: $lt_compiler_flag:'`
    9461    (eval echo "\"\$as_me:9461: $lt_compile\"" >&5)
     9635   (eval echo "\"\$as_me:9635: $lt_compile\"" >&5)
    94629636   (eval "$lt_compile" 2>conftest.err)
    94639637   ac_status=$?
    94649638   cat conftest.err >&5
    9465    echo "$as_me:9465: \$? = $ac_status" >&5
     9639   echo "$as_me:9639: \$? = $ac_status" >&5
    94669640   if (exit $ac_status) && test -s "$ac_outfile"; then
    94679641     # The compiler can only warn and ignore the option if not recognized
     
    97279901   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97289902   -e 's:$: $lt_compiler_flag:'`
    9729    (eval echo "\"\$as_me:9729: $lt_compile\"" >&5)
     9903   (eval echo "\"\$as_me:9903: $lt_compile\"" >&5)
    97309904   (eval "$lt_compile" 2>conftest.err)
    97319905   ac_status=$?
    97329906   cat conftest.err >&5
    9733    echo "$as_me:9733: \$? = $ac_status" >&5
     9907   echo "$as_me:9907: \$? = $ac_status" >&5
    97349908   if (exit $ac_status) && test -s "$ac_outfile"; then
    97359909     # The compiler can only warn and ignore the option if not recognized
     
    983110005   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    983210006   -e 's:$: $lt_compiler_flag:'`
    9833    (eval echo "\"\$as_me:9833: $lt_compile\"" >&5)
     10007   (eval echo "\"\$as_me:10007: $lt_compile\"" >&5)
    983410008   (eval "$lt_compile" 2>out/conftest.err)
    983510009   ac_status=$?
    983610010   cat out/conftest.err >&5
    9837    echo "$as_me:9837: \$? = $ac_status" >&5
     10011   echo "$as_me:10011: \$? = $ac_status" >&5
    983810012   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    983910013   then
     
    1224812422  lt_status=$lt_dlunknown
    1224912423  cat > conftest.$ac_ext <<EOF
    12250 #line 12250 "configure"
     12424#line 12424 "configure"
    1225112425#include "confdefs.h"
    1225212426
     
    1234812522  lt_status=$lt_dlunknown
    1234912523  cat > conftest.$ac_ext <<EOF
    12350 #line 12350 "configure"
     12524#line 12524 "configure"
    1235112525#include "confdefs.h"
    1235212526
     
    1470814882   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1470914883   -e 's:$: $lt_compiler_flag:'`
    14710    (eval echo "\"\$as_me:14710: $lt_compile\"" >&5)
     14884   (eval echo "\"\$as_me:14884: $lt_compile\"" >&5)
    1471114885   (eval "$lt_compile" 2>conftest.err)
    1471214886   ac_status=$?
    1471314887   cat conftest.err >&5
    14714    echo "$as_me:14714: \$? = $ac_status" >&5
     14888   echo "$as_me:14888: \$? = $ac_status" >&5
    1471514889   if (exit $ac_status) && test -s "$ac_outfile"; then
    1471614890     # The compiler can only warn and ignore the option if not recognized
     
    1481214986   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1481314987   -e 's:$: $lt_compiler_flag:'`
    14814    (eval echo "\"\$as_me:14814: $lt_compile\"" >&5)
     14988   (eval echo "\"\$as_me:14988: $lt_compile\"" >&5)
    1481514989   (eval "$lt_compile" 2>out/conftest.err)
    1481614990   ac_status=$?
    1481714991   cat out/conftest.err >&5
    14818    echo "$as_me:14818: \$? = $ac_status" >&5
     14992   echo "$as_me:14992: \$? = $ac_status" >&5
    1481914993   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1482014994   then
     
    1638216556   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1638316557   -e 's:$: $lt_compiler_flag:'`
    16384    (eval echo "\"\$as_me:16384: $lt_compile\"" >&5)
     16558   (eval echo "\"\$as_me:16558: $lt_compile\"" >&5)
    1638516559   (eval "$lt_compile" 2>conftest.err)
    1638616560   ac_status=$?
    1638716561   cat conftest.err >&5
    16388    echo "$as_me:16388: \$? = $ac_status" >&5
     16562   echo "$as_me:16562: \$? = $ac_status" >&5
    1638916563   if (exit $ac_status) && test -s "$ac_outfile"; then
    1639016564     # The compiler can only warn and ignore the option if not recognized
     
    1648616660   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1648716661   -e 's:$: $lt_compiler_flag:'`
    16488    (eval echo "\"\$as_me:16488: $lt_compile\"" >&5)
     16662   (eval echo "\"\$as_me:16662: $lt_compile\"" >&5)
    1648916663   (eval "$lt_compile" 2>out/conftest.err)
    1649016664   ac_status=$?
    1649116665   cat out/conftest.err >&5
    16492    echo "$as_me:16492: \$? = $ac_status" >&5
     16666   echo "$as_me:16666: \$? = $ac_status" >&5
    1649316667   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1649416668   then
     
    1869318867   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1869418868   -e 's:$: $lt_compiler_flag:'`
    18695    (eval echo "\"\$as_me:18695: $lt_compile\"" >&5)
     18869   (eval echo "\"\$as_me:18869: $lt_compile\"" >&5)
    1869618870   (eval "$lt_compile" 2>conftest.err)
    1869718871   ac_status=$?
    1869818872   cat conftest.err >&5
    18699    echo "$as_me:18699: \$? = $ac_status" >&5
     18873   echo "$as_me:18873: \$? = $ac_status" >&5
    1870018874   if (exit $ac_status) && test -s "$ac_outfile"; then
    1870118875     # The compiler can only warn and ignore the option if not recognized
     
    1896119135   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1896219136   -e 's:$: $lt_compiler_flag:'`
    18963    (eval echo "\"\$as_me:18963: $lt_compile\"" >&5)
     19137   (eval echo "\"\$as_me:19137: $lt_compile\"" >&5)
    1896419138   (eval "$lt_compile" 2>conftest.err)
    1896519139   ac_status=$?
    1896619140   cat conftest.err >&5
    18967    echo "$as_me:18967: \$? = $ac_status" >&5
     19141   echo "$as_me:19141: \$? = $ac_status" >&5
    1896819142   if (exit $ac_status) && test -s "$ac_outfile"; then
    1896919143     # The compiler can only warn and ignore the option if not recognized
     
    1906519239   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1906619240   -e 's:$: $lt_compiler_flag:'`
    19067    (eval echo "\"\$as_me:19067: $lt_compile\"" >&5)
     19241   (eval echo "\"\$as_me:19241: $lt_compile\"" >&5)
    1906819242   (eval "$lt_compile" 2>out/conftest.err)
    1906919243   ac_status=$?
    1907019244   cat out/conftest.err >&5
    19071    echo "$as_me:19071: \$? = $ac_status" >&5
     19245   echo "$as_me:19245: \$? = $ac_status" >&5
    1907219246   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1907319247   then
Note: See TracChangeset for help on using the changeset viewer.